
QGIS Application - Bug report #14849

Digitizing: avoid intersection takes ages

2016-05-20 09:50 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 22802

Description

Steps to reproduce:

    -  load a vector

    -  set the digitizing options to Avoid intersection, snapping 10 px

    -  digitize a large polygon overlapping with the vector

--> qgis remains freezed for >1 min before giving the result.

Previous versions were faster.

See attache project+data

History

#1 - 2016-05-21 12:13 PM - Giovanni Manghi

- Affected QGIS version changed from 2.14.2 to master

- Target version set to Version 2.16

- Priority changed from Normal to Severe/Regression

confirmed also on master.

#2 - 2016-06-28 03:40 AM - Martin Dobias

- Priority changed from Severe/Regression to Normal

Avoid intersections takes longer time here because it tries to add several thousand of topological points. The speed could be improved by rewriting the

code to do some caching, but to me it is a unclear why addition of topo points is done in the first place (when topo editing is not enabled).

Just tested with master, 2.14 and 2.8 - all of them take about 20 seconds on my laptop, with 2.8 being slowest, so I would not consider this as being a

regression - lowering the priority

#3 - 2016-06-29 12:44 AM - Giovanni Manghi

- Target version deleted (Version 2.16)

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to Severe/Regression

Martin Dobias wrote:
Avoid intersections takes longer time here because it tries to add several thousand of topological points. The speed could be improved by rewriting

the code to do some caching, but to me it is a unclear why addition of topo points is done in the first place (when topo editing is not enabled).

Just tested with master, 2.14 and 2.8 - all of them take about 20 seconds on my laptop, with 2.8 being slowest, so I would not consider this as being

a regression - lowering the priority

Hi Martin, well, that is not a regression is arguable, in fact I have just tested (randomly) a older qgis release - 2.2 - and this issue does not happen.

As easily the issue can cause qgis to completely freeze I think that we should really take care of the problem as a very important one.

We can downgrade it again if necessary, but before I think it would be better to discuss about it.

cheers!

#4 - 2017-02-28 12:06 AM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from master to 2.18.4

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-05 01:38 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Not as fast as in the past (as far as I remember) but with my testing dataset on 2.18.7 this in now acceptable (it can take a few seconds depending on how

many nodes are being evaluated, but do not freezes anymore the program).

Files

avoid_inters.zip 496 KB 2016-05-20 Paolo Cavallini

2024-03-13 2/2


